Subject: [dispatch] E-mail key server for draft-bhjl-x509-srv

From: "John R Levine" <[email-masked]>
Date: 10 Jul 2016 13:07:53 -0400

We submitted draft-bhjl-x509-srv about per-domain S/MIME and PGP key
directories in Februrary.

It's technically trivial, mostly a profile of RFC 4387 with a few obvious 
additions of how you publish a SRV record to point to the key server, and 
how a domain can publish a S/MIME signing key in the DNS.

We wrote it as a more straightforward alternative to DANE's putting the 
keys directly in the DNS, since this avoids the semantic and security 
problems that approach has.

It is my impression that some large webmail providers are finally 
thinking about key servers for their users, so it'd be nice if they had a 
spec so they could do it compatibly.

As always, comments are welcome, either here or directly.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail.